Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.edit.provider
Class QueryItemProviderAdapterFactory

    java.lang.Object
      AdapterFactoryImpl
          org.eclipse.gmt.modisco.infra.query.util.QueryAdapterFactory
              org.eclipse.gmt.modisco.infra.query.edit.provider.QueryItemProviderAdapterFactory

    public class QueryItemProviderAdapterFactory

extends QueryAdapterFactory

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

Constructor Summary
`QueryItemProviderAdapterFactory()` This constructs an instance.

Method Summary
`Adapter` | `adapt(Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter.
`void` | `addListener(INotifyChangedListener notifyChangedListener)` This adds a listener.
`Adapter` | `createJavaModelQueryAdapter()` This creates an adapter for a `JavaModelQuery`.
`Adapter` | `createModelQueryParameterAdapter()` This creates an adapter for a `ModelQueryParameter`.
`Adapter` | `createModelQuerySetAdapter()` This creates an adapter for a `ModelQuerySet`.
`Adapter` | `createOCLModelQueryAdapter()` This creates an adapter for a `OCLModelQuery`.
`void` | `dispose()` This disposes all of the item providers created by this factory.
`void` | `fireNotifyChanged(Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`.
`ComposeableAdapterFactory` | `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
`boolean` | `isFactoryForType(java.lang.Object type)`
`void` | `removeListener(INotifyChangedListener notifyChangedListener)` This removes a listener.
`void` | `setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

Methods inherited from class org.eclipse.gmt.modisco.infra.query.util.QueryAdapterFactory
`createAdapter, createEObjectAdapter, createModelQueryAdapter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryItemProviderAdapterFactory

    public QueryItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### createModelQuerySetAdapter

    public Adapter createModelQuerySetAdapter()

  This creates an adapter for a `ModelQuerySet`.

  Overrides:
    `createModelQuerySetAdapter` in class `QueryAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ModelQuerySet`

### createJavaModelQueryAdapter

    public Adapter createJavaModelQueryAdapter()

  This creates an adapter for a `JavaModelQuery`.

  Overrides:
    `createJavaModelQueryAdapter` in class `QueryAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `JavaModelQuery`

### createModelQueryParameterAdapter

    public Adapter createModelQueryParameterAdapter()

  This creates an adapter for a `ModelQueryParameter`.

  Overrides:
    `createModelQueryParameterAdapter` in class `QueryAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ModelQueryParameter`

### createOCLModelQueryAdapter

    public Adapter createOCLModelQueryAdapter()

  This creates an adapter for a `OCLModelQuery`.

  Overrides:
    `createOCLModelQueryAdapter` in class `QueryAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `OCLModelQuery`

### getRootAdapterFactory

    public ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

### setParentAdapterFactory

    public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Overrides:
    `isFactoryForType` in class `QueryAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.

### adapt

    public Adapter adapt(Notifier notifier,
                         java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

### addListener

    public void addListener(INotifyChangedListener notifyChangedListener)

  This adds a listener.

### removeListener

    public void removeListener(INotifyChangedListener notifyChangedListener)

  This removes a listener.

### fireNotifyChanged

    public void fireNotifyChanged(Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

### dispose

    public void dispose()

  This disposes all of the item providers created by this factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD